gtk.Plug
Prev | The gtk Class Reference | Next

## gtk.Plug

gtk.Plug — A toplevel window for embedding into other processes.

## Synopsis

    class gtk.Plug(gtk.Window):
        gtk.Plug(socket_id)
        def construct(socket_id)
        def get_id()
        def get_embedded()
        def get_socket_window()

    Functions

        def gtk.plug_new_for_display(display, socket_id)

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.Widget
          +-- gtk.Container
            +-- gtk.Bin
              +-- gtk.Window
                +-- gtk.Plug

## gtk.Plug Properties

gtk.Object Properties

gtk.Widget Properties

gtk.Container Properties

gtk.Window Properties

"embedded" | Read | `True` if the plug is embedded in a socket. Default value: `False` Available in GTK+ 2.12.
"socket-window" | Read | The window of the socket the plug is embedded in. Available in GTK+ 2.14.

## gtk.Plug Style Properties

gtk.Widget Style Properties

## gtk.Plug Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.Widget Signal Prototypes

gtk.Container Signal Prototypes

gtk.Window Signal Prototypes

"embedded" | `def callback(`plug`, `user_param1`, `...`)`

## Description

Together with `gtk.Socket`, `gtk.Plug` provides the ability to embed widgets from one process into another process in a fashion that is transparent to the user. One process creates a `gtk.Socket` widget and, passes the ID of that widgets window to the other process, which then creates a `gtk.Plug` with that window ID. Any widgets contained in the `gtk.Plug` then will appear inside the first applications window.

## Constructor

        gtk.Plug(socket_id)

`socket_id` : | the window ID of the socket, or 0.
Returns : | a `gtk.Widget`

Creates a new `gtk.Plug` widget inside the `gtk.Socket` identified by `socket_id`. If `socket_id` is 0, the plug is left "unplugged" and can later be plugged into a `gtk.Socket` by the `gtk.Socket.add_id`() method.

## Methods

### gtk.Plug.construct

        def construct(socket_id)

`socket_id` : | the window ID of the socket

### Warning

This method is not available in PyGTK 2.2 and above.

The `construct`() method finishes the initialization of plug for the `gtk.Socket` identified by `socket_id`. This method will generally only be used by subclasses of `gtk.Plug`.

### gtk.Plug.get_id

        def get_id()

Returns : | the window ID for the plug

The `get_id`() method returns the window ID of the `gtk.Plug` widget, which can be used to embed this window inside another window, for instance with `gtk.Socket.add_id`().

### gtk.Socket.get_embedded

        def get_embedded()

Returns : | `True` if the plug is embedded in a socket.

### Note

This method is available in PyGTK 2.14 and above.

The `get_embedded`() method determines whether the plug is embedded in a socket.

### gtk.Socket.get_socket_window

        def get_socket_window()

Returns : | the window of the socket if available, or `None`.

### Note

This method is available in PyGTK 2.14 and above.

The `get_socket_window`() method retrieves the socket the plug is embedded in.

## Functions

### gtk.plug_new_for_display

        def gtk.plug_new_for_display(display, socket_id)

`display` : | the `gtk.gdk.Display` associated with `socket_id's`.
`socket_id` : | the window ID of the socket's window.
Returns : | a `gtk.Plug` object

### Note

This function is available in PyGTK 2.2 and above.

The `gtk.plug_new_for_display`() function creates a new plug widget inside the `gtk.Socket` specified by `socket_id` on the `gtk.gdk.Display` specified by display.

## Signals

### The "embedded" gtk.Plug Signal

        def callback(plug, user_param1, ...)

`plug` : | the plug that received the signal
`user_param1` : | the first user parameter (if any) specified with the `connect`() method
`...` : | additional user parameters (if any)

The "embedded" signal is emitted when the plug window is reparented to the socket window.

Prev | Up | Next
gtk.PaperSize | Home | gtk.PrintContext